Package org.kie.api.definition.process

## Interface Process

- All Superinterfaces:
    `KieDefinition`
  All Known Subinterfaces:
    `WorkflowProcess`

      public interface Process
      extends KieDefinition

  A Process represents one modular piece of business logic that can be executed by a process engine. Different types of processes may exist.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.api.definition.KieDefinition

      `KieDefinition.KnowledgeType`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getId()` | The unique id of the Process.
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getMetaData()` | Meta data associated with this Node.
    `java.lang.String` | `getName()` | The name of the Process.
    `java.lang.String` | `getPackageName()` | The package name of this process.
    `Resource` | `getResource()` |
    `java.lang.String` | `getType()` | The type of process.
    `java.lang.String` | `getVersion()` | The version of the Process.
    `void` | `setResource​(Resource res)` |

    - ### Methods inherited from interface org.kie.api.definition.KieDefinition

      `getKnowledgeType, getNamespace`

- - ### Method Detail

    - #### getId

          java.lang.String getId()

      The unique id of the Process.
      Specified by:
        `getId` in interface `KieDefinition`
      Returns:
        the id

    - #### getName

          java.lang.String getName()

      The name of the Process.
      Returns:
        the name

    - #### getVersion

          java.lang.String getVersion()

      The version of the Process. You may use your own versioning format (as the version is not interpreted by the engine).
      Returns:
        the version

    - #### getPackageName

          java.lang.String getPackageName()

      The package name of this process.
      Returns:
        the package name

    - #### getType

          java.lang.String getType()

      The type of process. Different types of processes may exist. This defaults to "RuleFlow".
      Returns:
        the type

    - #### getMetaData

          java.util.Map<java.lang.String,​java.lang.Object> getMetaData()

      Meta data associated with this Node.

    - #### getResource

          Resource getResource()

    - #### setResource

          void setResource​(Resource res)